Package ru.bitel.bgbilling.modules.voice.common.bean

# Enum Class VoiceSessionFilter.CallType

java.lang.Object
java.lang.Enum<VoiceSessionFilter.CallType>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionFilter.CallType

All Implemented Interfaces:
  `Serializable`, `Comparable<VoiceSessionFilter.CallType>`, `Constable`

Enclosing class:
  `VoiceSessionFilter`

public static enum VoiceSessionFilter.CallType extends Enum<VoiceSessionFilter.CallType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `INCOMING`
  `OUTGOING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceSessionFilter.CallType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoiceSessionFilter.CallType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final VoiceSessionFilter.CallType ALL

  - ### INCOMING

    public static final VoiceSessionFilter.CallType INCOMING

  - ### OUTGOING

    public static final VoiceSessionFilter.CallType OUTGOING

- ## Method Details

  - ### values

    public static VoiceSessionFilter.CallType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoiceSessionFilter.CallType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null